# SetFullScreen

### Introduction

SetFullScreen sets the game to run in full screen. This function can change the current resolution of the desktop. Graphics cards only support a certain number of resolution configurations. If SetFullScreen is called with a value not supported by the graphics device, an exception will be thrown.

### Code Example

The following code sets the game to run in full screen, using the current display resolution.

```lang:c#
var displayMode = FlatRedBallServices.GraphicsDevice.DisplayMode;
FlatRedBallServices.GraphicsOptions.SetFullScreen(displayMode.Width, displayMode.Height);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/graphics/graphicsoptions/setfullscreen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
